ChiliProject - Bug # 740: Revision page, new files are not displayed (Git Repo)

Status: Closed Priority: Normal
Author: Fabien D. Category: SCM
Created: 2011-11-30 Assignee: Felix Schafer
Updated: 2011-12-03 Due date:

Remote issue URL:

Affected version: 24.0

Description: Hi,

As I've explained here https://www.chiliproject.org/boards/1/topics/982, I've noticed an issue with the page
that displays the detail of the revision (inside the repository browser). Felix SchA=fer has confirmed the bug of
a fresh install.

When a commit has new files, we don't see them in the list. We only see the modified files.
Users have the good rights (view_changesets, browse_repository).

Some informations about the two servers where I've the issue :

- Debian Squeeze

- ruby (1.8.7) managed with RVM
- ChiliProject 2.4.0

-Git1.7.25

Associated revisions

2011-12-03 04:32 pm - Felix SchAxfer
[#740] Fix faulty assignment

History

2011-11-30 11:27 am - Holger Just

- Target version deleted (2.5.0)

Thanks for your report!

As 2.5.0 is going to be released later today we will unfortunately not be able to handle this issue until then. That's why I'm removing the target version
here.

2011-11-30 01:23 pm - Felix Schéafer

- Assignee set to Felix Schéfer

I'll be taking a look at this, might be until the WE though, so if someone wants to tackle this, just tackle me out of the assignee ;-)

2011-12-03 03:36 pm - Felix Schéafer
- Target version set to 2.6.0

- Status changed from Open to Closed

This error was due to a typo in the charset fixes for ruby 1.9 (commit:bbb4f63). Fix committed in commit:6a616a5, thanks for reporting!
